[**@rxap/window-system v19.0.3-dev.0**](../README.md)

***

[@rxap/window-system](../globals.md) / WindowTitleDirective

# Class: WindowTitleDirective

Defined in: [packages/angular/window-system/src/lib/window-title.directive.ts:20](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-title.directive.ts#L20)

## Implements

- `OnInit`

## Constructors

### new WindowTitleDirective()

> **new WindowTitleDirective**(): [`WindowTitleDirective`](WindowTitleDirective.md)

#### Returns

[`WindowTitleDirective`](WindowTitleDirective.md)

## Methods

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/window-system/src/lib/window-title.directive.ts:37](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-title.directive.ts#L37)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### ngTemplateContextGuard()

> `static` **ngTemplateContextGuard**(`dir`, `ctx`): `ctx is WindowTitleTemplateContext`

Defined in: [packages/angular/window-system/src/lib/window-title.directive.ts:32](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-title.directive.ts#L32)

Asserts the correct type of the context for the template that `NgForOf` will render.

The presence of this method is a signal to the Ivy template type-check compiler that the
`NgForOf` structural directive renders its template with a specific context type.

#### Parameters

##### dir

[`WindowTitleDirective`](WindowTitleDirective.md)

##### ctx

`any`

#### Returns

`ctx is WindowTitleTemplateContext`
